PHPExcel_Writer_Excel2007_Comments

category | PHPExcel
package | PHPExcel_Writer_Excel2007
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Set parent IWriter object

    __construct(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::__construct()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write comment to XML format

    _writeComment(\PHPExcel_Shared_XMLWriter $objWriter, string $pCellReference, \PHPExcel_Comment $pComment, array $pAuthors)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pCellReference

`string`

Cell reference

#### $pComment

`\PHPExcel_Comment`

Comment

#### $pAuthors

`array`

Array of authors

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write VML comment to XML format

    _writeVMLComment(\PHPExcel_Shared_XMLWriter $objWriter, string $pCellReference, \PHPExcel_Comment $pComment)

### Parameters

#### $objWriter

`\PHPExcel_Shared_XMLWriter`

XML Writer

#### $pCellReference

`string`

Cell reference

#### $pComment

`\PHPExcel_Comment`

Comment

### Exceptions

`\PHPExcel_Writer_Exception` |

## Get parent IWriter object

    getParentWriter() : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`\PHPExcel_Writer_IWriter`

## Set parent IWriter object

    setParentWriter(\PHPExcel_Writer_IWriter $pWriter)

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()

### Parameters

#### $pWriter

`\PHPExcel_Writer_IWriter`

### Exceptions

`\PHPExcel_Writer_Exception` |

## Write comments to XML format

    writeComments(\PHPExcel_Worksheet $pWorksheet) : string

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

## Write VML comments to XML format

    writeVMLComments(\PHPExcel_Worksheet $pWorksheet) : string

### Parameters

#### $pWorksheet

`\PHPExcel_Worksheet`

### Exceptions

`\PHPExcel_Writer_Exception` |

### Returns

`string`XML Output

### Properties

##

    $_parentWriter : \PHPExcel_Writer_IWriter

Inherited

inherited_from | \PHPExcel_Writer_Excel2007_WriterPart::$$_parentWriter